<!doctype html>
<html>
<head>
    <title>Transparency, Openness, and Our 2020 Financials | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Transparency, Openness, and Our 2020 Financials | Tor Project">
    <meta property="og:description" content="Every year, the Tor Project completes a Form 990 and independent audit of our financial statements. After completing standard audits for 2019-2020, our federal tax filings and audit are both available. We upload all of our tax documents and publish a blog post about these documents in order to be transparent.">
    <meta property="og:image" content="https://blog.torproject.org/transparency-openness-and-our-2019-and-2020-financials/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/transparency-openness-and-our-2019-and-2020-financials/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Transparency, Openness, and Our 2020 Financials
      </h1>
    <p class="meta">by <a href="../author/alsmith">alsmith</a> | July 9, 2021</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Every year, as required by U.S. federal law for 501(c)(3) nonprofits, the Tor Project completes a Form 990, and as required by contractual obligations and state regulations, an independent audit of our financial statements. After completing standard audits for 2019-2020,* our <a href="https://www.torproject.org/static/findoc/2020-TorProject-Form990.pdf?h=48af80b4">federal tax filings</a> and <a href="https://www.torproject.org/static/findoc/2020-06_Tor_UG_Audited_Financial_Statements_Final.pdf?h=d0295c9c">audit</a> are both now available. We upload all of our tax documents and publish a blog post about these documents in order to be transparent.</p>
<p>Transparency for a privacy project is not a contradiction: privacy is about choice, and we choose to be transparent in order to build trust and a stronger community. In this post, we aim to be very clear about where the Tor Project’s money comes from and what we do with it. This is how we operate in all aspects of our work: we show you all of our projects, in <a href="https://gitweb.torproject.org/">source code</a>, and in periodic project and team <a href="https://lists.torproject.org/pipermail/tor-project/">reports</a>, and in collaborations with <a href="https://blog.torproject.org/tor-heart-pets-and-privacy-research-community">researchers</a> who help assess and improve Tor. Transparency also means being clear about our values, promises, and priorities as laid out in our <a href="https://gitweb.torproject.org/community/policies.git/plain/social_contract.txt">social contract</a>.</p>
<p>This year’s version of the financial transparency post is a bit different than <a href="https://blog.torproject.org/category/tags/form-990">past iterations</a>: we hope that by expanding each subsection of this post and adding more detail, you will have an even better understanding of the Tor Project’s funding, and that you will be able to read the <a href="https://torproject.org/about/reports">audit and Form 990 documents</a> on your own should you have more questions.</p>
<p><em>*Reminder: We no longer tie our tax filings and our audits to the calendar year; instead our fiscal years run from July through June. We made this change in 2017 because following the calendar year meant that our fiscal years were ending right in the middle of fundraising season (December), making it harder to plan budgets.</em></p>
<h3>Fiscal Year 2019-2020 Summary</h3>
<p>The last few years have been bumpy financially for the Tor Project, but at the end of 2019 and beginning of 2020, we began stabilizing. You helped make this possible by contributing to an <a href="https://blog.torproject.org/2019-campaign-wrapup-tor-take-back-the-internet">incredibly successful 2019 year-end campaign</a>, raising more funds than we ever had before during a year-end campaign up to that point. We were looking towards rebuilding our reserves after having to use them to cover expenses in 2017 and 2018. </p>
<p>Then, of course, the COVID-19 pandemic changed the world. Individual donations took a drastic downturn, events (where we raise donations at booths) were canceled for the rest of the year, and foundations shifted their funding strategies to stabilize their current grantees. Some foundations even completely halted their giving for the year. </p>
<p>Despite all of these challenges, we ended the financial year (June 2020) in a stable place.</p>
<h3 style="line-height:1.38; margin-top:21px; margin-bottom:16px">Revenue &amp; Support</h3>
<p>Tor’s total <strong>revenue and support</strong> in fiscal year 2019-2020 was a bit under $4.9 million. Take a look at page two of the audit:</p>
<p><img alt="Screenshot showing the Tor Project Revenue and Support for fiscal year 2019-2020" src="/static/images/blog/inline-images/tpo-revenue-and-support.png" class="align-center" /></p>
<p>You can see that “Revenue and Support” is broken into five different categories in the audit documents: most categories are more or less self-explanatory, but let’s talk about in-kind contributions. <strong>In-kind contributions</strong> are donated services or goods--like translation completed by volunteers, website hosting, donated hardware, and contributed patches. This year, we counted $450,705 in donated services: <strong>that’s 2,490 hours of software development, 1,203,719 words translated, and roughly $96K in cloud hosting services.</strong> Clearly, Tor would not be possible without you. Thank you!</p>
<p>Because in-kind contributions don’t equal actual money in the bank--but instead equate to value assigned to donated services and goods--think of the $450,705 in-kind contributions as the “Support” portion of the Revenue and Support category. Consider the remaining $4,400,782 in this category as the “Revenue.”</p>
<p>In the 2019-2020 fiscal year, our “Revenue and Support” was less than the previous fiscal year by about $700,000. On the surface this might seem scary, but this reduction in revenue and support also comes with a reduction in expenses and a reversal of unsustainable spending of our reserves. Here’s a comparison, where you can see that in FY 2018-2019, we had to spend a significant amount of our reserves. In FY 2019-2020, we actually increased our assets slightly, despite all of the challenges related to COVID-19.</p>
<div>
<table height="131" style="border: medium none; border-collapse: collapse; table-layout: fixed;" width="624">
<colgroup>
<col width="210" />
<col width="141" />
<col width="117" />
<col />
    </colgroup>
<tbody>
<tr>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:210px">
<p style="line-height:1.2"><strong><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">Financial Year</span></span></span></span></span></span></span></span></strong></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:141px">
<p style="line-height:1.2"><strong><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">Income</span></span></span></span></span></span></span></span></strong></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:117px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">Expenses</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000" width="NaN">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">Change in Net Assets</span></span></span></span></span></span></span></span></p>
</td>
</tr>
<tr>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:210px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">July 2018 - June 2019</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:141px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">$5,606,013</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:117px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">$6,188,913</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000" width="NaN">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">($582,900)</span></span></span></span></span></span></span></span></p>
</td>
</tr>
<tr>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:210px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">July 2019 - June 2020</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:141px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">$4,851,487</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000; width:117px">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">$4,811,399</span></span></span></span></span></span></span></span></p>
</td>
<td style="border-bottom:1px solid #000000; vertical-align:top; padding:7px 7px 7px 7px; border-top:1px solid #000000; border-right:1px solid #000000; border-left:1px solid #000000" width="NaN">
<p style="line-height:1.2"><span style="overflow:hidden"><span style="overflow-wrap:break-word"><span style="font-size:11pt; font-variant:normal; white-space:pre-wrap"><span style="font-family:Arial"><span style="color:#000000"><span style="font-weight:400"><span style="font-style:normal"><span style="text-decoration:none">$40,088</span></span></span></span></span></span></span></span></p>
</td>
</tr>
</tbody>
</table>
</div>
<h3>Government Support</h3>
<p>We get a lot of questions (and see a lot of <a href="https://en.wikipedia.org/wiki/Fear,_uncertainty_and_doubt">FUD</a>) about how the U.S. government funds the Tor Project, so we want to make this as clear as possible, and show you where to find this information in the future (or for previous years) in these publicly-available documents.</p>
<p>Let’s talk specifically about which parts of the U.S. government support Tor, and what kind of projects they fund. Below, you can see a screenshot from the Tor Project’s FY 2019-2020 Form 990 on page 42, where we’ve listed all of our U.S. government funders. You will find text like this in all of our Form 990s.</p>
<p><img alt="Screenshot of government support sources for the Tor Project in our 990" src="/static/images/blog/inline-images/tpo-government-support.png" class="align-center" /></p>
<p>Now, we’ll break down which projects are funded by each entity and link you to places in <a href="https://gitlab.torproject.org">GitLab</a> where we organize the work associated with this funding.</p>
<p style="line-height:1.38"><strong><a href="https://www.state.gov/about-us-bureau-of-democracy-human-rights-and-labor/">U.S. State Department Bureau of Democracy, Human Rights, and Labor</a> ($752,154)</strong></p>
<ul>
<li aria-level="1">Project: <a href="https://gitlab.torproject.org/tpo/anti-censorship/trac/-/issues/31265">Empowering Communities in the Global South to Bypass Censorship</a>. 
<ul>
<li aria-level="1"><em>Description</em>: This ongoing project’s goal is to empower human rights defenders in the Global South by improving censorship event detection and reporting, ensuring users have the best options for their needs to bypass censorship, and informing human rights defenders when censorship is happening and how to bypass it.</li>
</ul>
</li>
</ul>
<p style="line-height:1.38"><strong><a href="https://www.nsf.gov/">National Science Foundation</a> + Georgetown University ($98,727)</strong></p>
<ul>
<li aria-level="1">Project: <a href="https://gitlab.torproject.org/legacy/trac/-/wikis/org/sponsors/Sponsor38">Expanding Research Frontiers with a Next-Generation Anonymous Communication Experimentation (ACE) Framework</a>
<ul>
<li aria-level="2"><em>Description</em>: This ongoing project’s goal is to develop a scalable and mature deterministic network simulator, capable of quickly and accurately simulating large networks such as Tor. This project builds on the<a href="https://shadow.github.io/"> Shadow Simulator</a>.</li>
</ul>
</li>
</ul>
<p style="line-height:1.38"><strong><a href="https://www.opentech.fund/">Open Technology Fund</a> ($908,744)</strong></p>
<ul>
<li aria-level="1">Project: <a href="https://gitlab.torproject.org/tpo/team/-/wikis/PastSponsors/Sponsor12">Observing and Responding to Internet Censorship Around the World</a> 
<ul>
<li aria-level="2"><em>Description</em>: This completed project aimed to provide timely evidence of internet censorship events. Funding passed through the Tor Project to the <a href="https://ooni.org/">Open Observatory of Network Interference (OONI)</a> when they were still a team inside of the Tor Project, and not their own nonprofit organization as they are today. </li>
</ul>
</li>
<li aria-level="1">Project: <a href="https://gitlab.torproject.org/tpo/team/-/wikis/reports/2020-June-Sponsor27-Final-Report.pdf">Onion Services</a> (links to final project report, PDF)
<ul>
<li aria-level="2"><em>Description</em>: This completed project brought v3 onion services in parity with v2, brought v3 support to Onion Balance, human readability of onion services addresses, and mechanisms (e.g., Onion Cannon) to better investigate DDoS attacks.</li>
</ul>
</li>
<li aria-level="1">Project: <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/33664">Tor Browser Security, Performance, &amp; Usability Improvements</a>.
<ul>
<li aria-level="1"><em>Description</em>: This completed project funded the migration of Tor Browser for Android from<a href="https://wiki.mozilla.org/Mobile/Fennec"> ​Fennec</a> to <a href="https://github.com/mozilla-mobile/fenix">Fenix</a>.</li>
</ul>
</li>
</ul>
<p><strong><a href="https://www.imls.gov/">Institute of Museum and Library Science</a> + New York University ($101,549)</strong></p>
<ul>
<li aria-level="1">Project: This funding passed through the Tor Project to <a href="https://libraryfreedom.org/">Library Freedom Project</a> to deliver the Library Freedom Institute. </li>
</ul>
<p><strong><a href="https://www.darpa.mil/">Defense Advanced Research Projects Agency</a> + Georgetown University</strong></p>
<ul>
<li aria-level="1">Project: <a href="https://gitlab.torproject.org/groups/tpo/-/milestones/10">Reliable Anonymous Communication Evading Censors and Repressors (RACECAR)</a>
<ul>
<li aria-level="2"><em>Description</em>: This ongoing project’s goal is to understand how to obfuscate communication in the presence of an adversary that controls the entire network,  by hiding all communications inside traffic generated by common applications.</li>
</ul>
</li>
</ul>
<p>For even more about how government funding works for the Tor Project, consider reading our <a href="https://blog.torproject.org/category/tags/form-990">previous financial transparency posts</a>, as well as <a href="https://blog.torproject.org/transparency-openness-and-our-2014-financials#comment-151396">Roger’s thorough comments</a> on these posts.</p>
<h3 style="line-height:1.38; margin-top:21px; margin-bottom:5px">Other Grants &amp; Contracts</h3>
<p>Of the remaining 47% of our revenue, about 26% comes from non-U.S. governments, foundations, other nonprofits, and corporations.</p>
<p>Many of these contributions are in the form of restricted grants, which means we propose a project that is on our roadmap to a funder, they agree that this project is important, and we are funded to complete these projects. Some examples in this category include <a href="https://www.osc.dial.community/">DIAL Open Source Center</a>’s support of Tor Browser ESR migration work, <a href="https://www.zfnd.org/">Zcash Foundation</a>’s support of our project to write the specs for Walking Onions, and <a href="https://www.ripe.net/">RIPE NCC</a>’s support of our work to improve IPv6 support on the Tor network.</p>
<p>Also in this category are <a href="https://www.cof.org/content/glossary-philanthropic-terms#u">unrestricted funds</a>, like support from <a href="https://mediademocracyfund.org/">Media Democracy Fund</a>, <a href="https://craignewmarkphilanthropies.org/">Craig Newmark Fund</a>, and <a href="https://fossresponders.com/">FOSS Responders</a>. These unrestricted funds are not tied to a specific project, which means we can use this funding to respond and develop our tools in a more agile way.</p>
<p>Unrestricted funds also include contributions from corporations, and is where you will find <a href="https://torproject.org/about/membership">membership dues</a> from our members. In the 2019-2020 fiscal year, you’ll see contributions from our first two members, Avast and Mullvad! We haven’t listed every single entity you will see in our Form 990 in this blog post, but we hope you have a better understanding of what you might find in the Form 990. Please explore these documents to learn even more!</p>
<h3 style="line-height:1.38; margin-top:21px; margin-bottom:5px">Individual Contributions</h3>
<p>Individual contributions come in many forms: some people donate $5 to the Tor Project one time, some donate $100 every month, and some make large gifts annually. The common thread is that individual donations are <a href="https://www.cof.org/content/glossary-philanthropic-terms#u">unrestricted funds</a>, and are the most important kind of support we receive. Unrestricted funds allow us to respond to censorship events, develop our tools in a more agile way, and ensure we have reserves to keep Tor strong in case of emergencies (like what happened in 2020, with COVID-19.)</p>
<p>In the 2019-2020 fiscal year, you contributed $890,353 to the Tor Project in the form of one-time gifts and monthly donations. These gifts came in all different forms (including ten different cryptocurrencies, which are then converted to USD), and come together to equal our greatest individual fundraising year in our history. <strong>Thank you!</strong></p>
<h3 style="line-height:1.38; margin-top:21px; margin-bottom:5px">Expenses</h3>
<p>OK, we’ve told you how we get funding (and which documents to look at to learn more). Now what do we do with that money? You can find that information on page four of this year’s <a href="https://www.torproject.org/static/findoc/2020-06_Tor_UG_Audited_Financial_Statements_Final.pdf?h=d0295c9c">audit</a>.</p>
<p><img alt="Screenshot showing the Tor Project's expenses " src="/static/images/blog/inline-images/tpo-expenses.png" class="align-center" /></p>
<p>We break our expenses into three main categories: </p>
<ul>
<li aria-level="1"><strong>Administration: </strong>costs associated with organizational administration, like salary for our Executive Director, office supplies, business insurance costs;</li>
<li aria-level="1"><strong>Fundraising: </strong>costs associated with the fundraising program, like salary for fundraising staff, tools we use for fundraising, bank fees, postal mail supplies, swag; and </li>
<li aria-level="1"><strong>Program services:</strong> costs associated with making Tor and supporting the people who use it, including application, network, UX, metrics, and community staff salaries; contractor salaries; and IT costs.</li>
</ul>
<p>In the 2019-2020 fiscal year, <strong>90.4% of our expenses were associated with program services. </strong>That means that a very significant portion of our budget goes directly into building Tor and making it better. Next comes fundraising at 6.4% and administration at 3.2%. </p>
<p><img alt="Chart showing the percentage of expenses are associated with program services" src="/static/images/blog/inline-images/tpo-donut-chart.png" class="align-center" /></p>
<p>According to <a href="https://www.charitynavigator.org/index.cfm?bay=content.view&amp;cpid=48">Charity Navigator</a>, technology nonprofits for which program services make up more than 82.5% of their expenses receive the highest “financial health” score in their ranking system. This means that we’re meeting and significantly exceeding the “industry best” for tech nonprofits. We’re proud to show that our work is both efficient and effective.</p>
<p>Ultimately, like Roger has written in many past versions of this blog post, it’s very important to remember the big picture: Tor's budget is modest considering our small staff and global impact. And it’s also critical to remember that our annual revenue is utterly dwarfed by what our adversaries spend to make the world a more dangerous and less free place.</p>
<p>In closing, we are extremely grateful for all of our donors and supporters. You make this work possible, and we hope this expanded version of our financial transparency post sheds more light on how the Tor Project raises money and how we spend it. Remember, that beyond <a href="https://donate.torproject.org">making a donation</a>, there are other ways to get involved, including <a href="https://community.torproject.org/">volunteering</a> and <a href="https://community.torproject.org/relay/">running a Tor relay</a>!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/financials">
          financials
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-292225"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292225" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 09, 2021</p>
    </div>
    <a href="#comment-292225">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292225" class="permalink" rel="bookmark">Thanks Al for doing the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks Al for doing the financials blog post this time around. I love the level of detail and transparency!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292238"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292238" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 10, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-292238">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292238" class="permalink" rel="bookmark">I&#039;ve tried reading financial…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've tried reading financial statements from the Tor Project before just for the lols. But because of how hard to read they are the lols quickly diminish, so this blog post is appreciated.<br />
I like the section that goes into detail about US government funding, partly for my own curiosity but mainly because it's a good place to point people to when they ask the question about the US government's involvement with Tor that you've been getting asked for 15 years.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292369"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292369" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Tor-users-should-follow-CitizenLab">Tor-users-shou… (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292238" class="permalink" rel="bookmark">I&#039;ve tried reading financial…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-292369">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292369" class="permalink" rel="bookmark">&gt; I like the section that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; I like the section that goes into detail about US government funding, partly for my own curiosity but mainly because it's a good place to point people to when they ask the question about the US government's involvement with Tor that you've been getting asked for 15 years.</p>
<p>I agree and it is unfortunate that it is so hard to keep track of these links.  Ideally they would be easy to find (and kept unbroken) on a TP page.  Maybe a FAQ?</p>
<p>In past years, one of the most inflammatory issues which was mostly censored from this blog--- apparently due to legal reasons deriving from a then inadequate TP hiring process--- was the revelation that TP (well, Roger) had hired a coder whose resume stated that he had worked in the Near East for the US State Department, when in fact this was his cover for CIA employment.  Some but not all TP employees were outraged when this was discovered by one of them, TP tried to fire the new hire on the grounds of lying on his resume, and the liar's lawyer apparently made life hell for TP.  (Yes, the "one" was Jake Appelbaum, who was later himself fired for sexual misconduct, which must have delighted the many many enemies of Tor.)</p>
<p>In past submitted comments which never appeared in this blog :-( I also expressed concern about the apparent workplace of a particular Team Cymru employee, for several months a few years ago, in the FANX Annex of NSA (since renamed).</p>
<p>To balance that: it has not escaped my attention that Team Cymru played a positive role in the investigation by the wonderful people at Citizen Lab of Candiru, which is one of the largest cyberwar-as-a-service companies (other than cybewar divisions of general defense firms such as Verint, Boeing, etc):</p>
<p><a href="https://citizenlab.ca/2021/07/hooking-candiru-another-mercenary-spyware-vendor-comes-into-focus/" rel="nofollow">https://citizenlab.ca/2021/07/hooking-candiru-another-mercenary-spyware…</a></p>
<p>It would be great if Team Cymru were more open about exactly what its activities are and who its customers are.  It is believed that customers include US Secret Service and the Drump-damaged anti-tax-evasion arms of Dpt. of Treasury, which is not neccessarily bad, but it is important to know exactly what Team Cymru does for these agencies (if it is true that they are clients).</p>
<p>We must be very suspicious of Microsoft's central role in cyberwar activities by various governments (not always friendly to the USA), but I also acknowledge that Microsoft appears to have done the right thing here, by independently verifying and augmenting the findings of Citizen Lab and by blocking Candiru from partnering with Microsoft:</p>
<p><a href="https://www.microsoft.com/security/blog/2021/07/15/protecting-customers-from-a-private-sector-offensive-actor-using-0-day-exploits-and-devilstongue-malware/" rel="nofollow">https://www.microsoft.com/security/blog/2021/07/15/protecting-customers…</a></p>
<p>&gt; Microsoft and Citizen Lab have worked together to disable the malware being used by SOURGUM that targeted more than 100 victims around the world including politicians, human rights activists, journalists, academics, embassy workers, and political dissidents.... Agencies in Uzbekistan, United Arab Emirates, and Saudi Arabia are among the list of Candiru’s alleged previous customers. These agencies, then, likely choose whom to target and run the cyberoperations themselves.</p>
<p>In the context of panic in USG circles over the recent cyberattacks which took down some major players in US food production and distribution, it seems noteworthy that one of the targets of Can diru malware was a Czech grocery chain.  Perhaps a rival company hired Candiru to kill off a competitor?  I can certainly see US telecoms doing that, but attacking food distribution seems to be a novel horror.</p>
<p>@ Anne Neuberger and Chris Ingalls: any comment?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-292237"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292237" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 10, 2021</p>
    </div>
    <a href="#comment-292237">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292237" class="permalink" rel="bookmark">Re-hire the staff that you…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Re-hire the staff that you let go because of COVID-19.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292248"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292248" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  alsmith
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Al Smith</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/194">Al Smith</a> said:</p>
      <p class="date-time">July 10, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292237" class="permalink" rel="bookmark">Re-hire the staff that you…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-292248">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292248" class="permalink" rel="bookmark">Thankfully, we have been…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thankfully, we have been able to re-hire many of these positions, and bring folks back up to full-time who we had to move to part-time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292331"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292331" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>NotTheOP (not verified)</span> said:</p>
      <p class="date-time">July 14, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292248" class="permalink" rel="bookmark">Thankfully, we have been…</a> by <a class="tor" title="View user profile." href="/user/194">Al Smith</a></p>
    <a href="#comment-292331">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292331" class="permalink" rel="bookmark">Good to know!  Many thanks…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good to know!  Many thanks to everyone who works so hard to keep Tor Project alive and adapting to an ever more political/legal/technical threat landscape!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-292244"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292244" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>DDG v3 (not verified)</span> said:</p>
      <p class="date-time">July 10, 2021</p>
    </div>
    <a href="#comment-292244">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292244" class="permalink" rel="bookmark">Please post the news from a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please post the news from a staff member of DUCKDUCKGO that v3 is now available and should be switched to especially within Tor Browser:</p>
<p>While the following is given:</p>
<p><a href="https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/" rel="nofollow">https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/</a></p>
<p>For some reason I couldn't get it to work until I added "html" at the end:</p>
<p><a href="https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/html" rel="nofollow">https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/…</a></p>
<p>From the news post here:</p>
<p><a href="https://old.reddit.com/r/duckduckgo/comments/oc07wj/news_duckduckgo_search_now_available_via_tor/" rel="nofollow">https://old.reddit.com/r/duckduckgo/comments/oc07wj/news_duckduckgo_sea…</a></p>
<p>posted by DDG staff member <a href="https://old.reddit.com/user/tagawa" rel="nofollow">https://old.reddit.com/user/tagawa</a></p>
<p>Please approve this message, it's important!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292267"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292267" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  alsmith
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Al Smith</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/194">Al Smith</a> said:</p>
      <p class="date-time">July 12, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292244" class="permalink" rel="bookmark">Please post the news from a…</a> by <span>DDG v3 (not verified)</span></p>
    <a href="#comment-292267">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292267" class="permalink" rel="bookmark">There&#039;s a ticket open for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's a ticket open for this issue, you can track the updates here: <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40524" rel="nofollow">https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/405…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-292253"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292253" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>TorIsPrivacy (not verified)</span> said:</p>
      <p class="date-time">July 10, 2021</p>
    </div>
    <a href="#comment-292253">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292253" class="permalink" rel="bookmark">Cool! But one small…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Cool! But one small objection:</p>
<p>&gt; Tor's budget is modest considering our small staff and global impact.</p>
<p>The sentence itself is fine.<br />
But when you talk about Tor's global impact and compare it with the spent money then actually you need to add to the calculation all the money relay operators spend because they are the ones that back a lot of this global impact.<br />
(Let's forget about users in this calculation because their global impact is even more uncertain and impossible to guess into money).</p>
<p>So we have about 8000 relays and bridges.<br />
The average relay probably costs between 5 - 15 € a month.<br />
That's about 40.000 - 120.000 € a month for the whole network so about 500.000 - 1.5 million € a year.</p>
<p>So about 10 - 30 % of the torprojects budget is what relay operators all over the world are spending for providing the services you guys are producing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292269"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292269" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  alsmith
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Al Smith</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/194">Al Smith</a> said:</p>
      <p class="date-time">July 12, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292253" class="permalink" rel="bookmark">Cool! But one small…</a> by <span>TorIsPrivacy (not verified)</span></p>
    <a href="#comment-292269">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292269" class="permalink" rel="bookmark">That&#039;s right, the network…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's right, the network would not be possible without the investment (time, energy, money) that relay operators put in every day.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292362"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292362" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>10KThanks (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292253" class="permalink" rel="bookmark">Cool! But one small…</a> by <span>TorIsPrivacy (not verified)</span></p>
    <a href="#comment-292362">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292362" class="permalink" rel="bookmark">I wish I could afford to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I wish I could afford to rent a server and run my own relay, but I can't.  However I am more grateful than I can say to those of you who do run a relay!</p>
<p>I agree that TP should try harder to harp on the theme that the Tor network and Tor software rely very heavily on a global network of volunteeers who believe passionately in all the good that is enabled by Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292542"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292542" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 10, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292253" class="permalink" rel="bookmark">Cool! But one small…</a> by <span>TorIsPrivacy (not verified)</span></p>
    <a href="#comment-292542">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292542" class="permalink" rel="bookmark">Good point, and very nice…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good point, and very nice analysis! Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-292276"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292276" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 12, 2021</p>
    </div>
    <a href="#comment-292276">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292276" class="permalink" rel="bookmark">I find it interesting that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I find it interesting that the bulk of government-related grants are from the Open Technology Fund and the Bureau of Democracy, Human Rights and Labor. Critics of Tor usually claim government direction is coming from attack organizations like military, police, surveillance and spy agencies, crypto backdoor advocates, etc.  But these financials show a nearly 3 to 1 ratio of government funding from soft-power diplomatic, anti-censorship, and apparently constructive organizations.</p>
<p>The financials list government organizations only in the United States. <strong>Are governments besides the United States funding Tor Project??</strong> It is a worldwide project after all. The <a href="https://metrics.torproject.org/rs.html#aggregate/cc" rel="nofollow">amount of relays</a> in Germany rivals the amount in the United States, and the amounts of <a href="https://metrics.torproject.org/userstats-relay-table.html" rel="nofollow">relay users</a> and <a href="https://metrics.torproject.org/userstats-bridge-table.html" rel="nofollow">bridge users</a> whose autonomous system (AS) appears to be in Russia, Germany, and Iran rival the amount in the United States.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292367"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292367" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>NyahNyahGCHQ (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292276" class="permalink" rel="bookmark">I find it interesting that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-292367">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292367" class="permalink" rel="bookmark">&gt; I find it interesting that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; I find it interesting that the bulk of government-related grants are from the Open Technology Fund and the Bureau of Democracy, Human Rights and Labor. Critics of Tor usually claim government direction is coming from attack organizations like military, police, surveillance and spy agencies, crypto backdoor advocates, etc. </p>
<p>To save TP employees the trouble: yes, this kind of backdoor was possible in Anom only because that was not an open-source product.  But this does not by itself do much to mitigate user concern that NSA is seeking to influence development of Tor in ways which benefit agency needs and requirements.</p>
<p>I agree with what you actually wrote, but I wish you had added that discussion in this blog of possible backdoors is hardly FUD.  We might recall some specific revelations from the Snowden leaks:</p>
<p>1. NSA tried hard to covert plant a hard-to-spot weakness in a crucial NIST protocol (but failed)</p>
<p>2. In 2012 NSA was trying hard to break Tails but not having much luck; we later learned that at the time Tails (and pretty much every other computing resource available to citizens) was vulnerable to shellshock, SPECTRE, meltdown, rowhammer, and other horrifying hard to fix vulnerabiltiies which were discovered by non-USG researchers and which were apparently never known to NSA, at least not before 2013,</p>
<p>3. NSA asked GCHQ to target Glenn Greenwald and people suspected of enabling Wikileaks activity, or contributing leaks to Wikileaks.</p>
<p>Further, from previous revelations we know</p>
<p>1. NSA managed to persuade a key employee of Crypto AG (the Swiss company which provided cipher machines to many countries in Latin America, Africa, and Eastern Europe during the Cold War) to put a weakness into the algorithms which enabled NSA to freely break into diplomatic and military communications "protected" by Crypto AG machines,</p>
<p>2. NSA directed submarine and surface cable-tapping and microwave phone link tapping operations, leading in one case to tragedy when IL warplanes sank a spy trawler which got too close, literally, to the IDF massacre of civilians in a refugee camp, on direct orders from Gen. Ariel Sharon,  during the IL invasion of Lebanon (the commander of the ship wanted to move away but was overruled, apparently on the insistence of NSA),</p>
<p>3. A top NSA official deliberately mislead President Johnson during the Tonkin Gulf crisis, very likely ensuring the long-tailed disaster Americans call the Vietnam War.</p>
<p>And now comes this example of a genuine backdoor in a commercial product sold as a "privacy protection technology":</p>
<p><a href="https://www.wired.com/story/fbi-anom-phone-network-encryption-debate/" rel="nofollow">https://www.wired.com/story/fbi-anom-phone-network-encryption-debate/</a></p>
<p>&gt; according to court documents, the agency had taken down another secure communications system marketed to criminals, then convinced one of its developers to become an informant. At the FBI's request, that unidentified person snuck an addition into Anom: a calculator app that relayed every communication sent on the platform back to the FBI.</p>
<p>Unfortunately, official TP response to well-founded concerns about possible USG breakage of Tor is to state (truthfully) that published code of Tor client and server software can be read by outside experts looking for suspicious code or cryptographic weaknesses, while ignoring the often expressed concern that NSA attackers are far more likely to find and exploit "upstream" weaknesses in things like pseudorandom number generators, clipboards, or (shudder) hardware, etc.</p>
<p>I wish TP was not so shy about publishing in this blog, for example, a call for NIST to repeat its highly successful open-source contest which lead to the adoption of Rjindael cipher as the AES standard, by funding three seperate open academic-researcher directed contests calling for submissions of next-generation ciphers exploiting elliptic curves, quantum cryptography, and homomorphic encryption.  Obviously, reliable next-generation encryption will be necessary to ensure the safety of Tor users going forward, as will keeping the dirty paws of USG cyberspies from coming anywhere near NIST standards.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-292277"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292277" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 12, 2021</p>
    </div>
    <a href="#comment-292277">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292277" class="permalink" rel="bookmark">Sorry. I asked if…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry. I asked if governments besides the US are funding TP. Further down, the report says, "Of the remaining 47% of our revenue, about 26% comes from non-U.S. governments, foundations, other nonprofits, and corporations." Thank you! I wish the funding was more even between countries, though, to balance potential influence.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292287"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292287" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  alsmith
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Al Smith</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/194">Al Smith</a> said:</p>
      <p class="date-time">July 13, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292277" class="permalink" rel="bookmark">Sorry. I asked if…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-292287">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292287" class="permalink" rel="bookmark">Yes, we get some funding…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, we get some funding from the Swedish International Development Agency (<a href="https://www.sida.se/en/" rel="nofollow">https://www.sida.se/en/</a>) to do user research and user experience improvements.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292309"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292309" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Not Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 13, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292287" class="permalink" rel="bookmark">Yes, we get some funding…</a> by <a class="tor" title="View user profile." href="/user/194">Al Smith</a></p>
    <a href="#comment-292309">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292309" class="permalink" rel="bookmark">Let&#039;s hope that &quot;research&quot;…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Let's hope that "research" isn't similar to the "research" done by MIT huh?</p>
<p>Not that you would care, swanky new York office for Mr big boots</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-292361"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292361" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Is-That-UFO-ET-or-DARPA?">Is-That-UFO-ET… (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292277" class="permalink" rel="bookmark">Sorry. I asked if…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-292361">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292361" class="permalink" rel="bookmark">Plus one</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Plus one</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-292330"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292330" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>ObservantUser (not verified)</span> said:</p>
      <p class="date-time">July 14, 2021</p>
    </div>
    <a href="#comment-292330">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292330" class="permalink" rel="bookmark">So happy to see that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So happy to see that TorProject transparency re financials continues to improve!  This is the best yearly report ever, I think.</p>
<p>It is encouraging that user contributions are non-negligible but I hope TP will continue to make it a strategic priority to increase that share until most TP funding comes from user contributions.</p>
<p>You mention Charity Navigator, which I also think is a fine service.  Some years ago I suggested in a comment to this blog that TP work towards obtaining a top level Charity Navigator ranking, similar to that enjoyed by ACLU (not to be confused with ACLU Foundation which is rated separately).  I hope TP will continue to work toward that goal (part of which I think involves persuading Charity Navigator that Tor Project is review-worthy).</p>
<p>Some other posters mention FUD in blog comments years ago.  I have been a Tor user and a follower of this blog from almost their beginnings and just want to say that best comments raising concerns about the much-hated "letter sponsors" were certainly not FUD.  Some posters even acknowledged (in response to Roger D) that we appreciated that Cold War era regulations appeared to make it very difficult to accept funding from USG "soft-power" sources without that awful letter designations.  I mention this because I see that TP is now able to be much more specific about the USG agencies which give grants to Tor Project.  What changed?</p>
<p>Few users will be inclined to howl when they see agencies like NSF or OTF giving much needed money to Tor for specific projects--- the Global South stuff is particularly needed right this minute!--- but in my opinion DARPA funding continues to be a problem.  I am aware that individual researchers who accept DARPA funding may feel that they are as committed to privacy as anyone... but... there is really no way around the fact that DARPA exists to enable US military invasions and signature drone strikes and such, not to help journalists, environmentalists, political dissidents, indigenous peoples or human rights defenders.  Tor Project really should keep entities like DARPA as far as possible from playing any role here.</p>
<p>On a happier note, it seems notable that there have been some very welcome developments regarding USG "soft-power".  The previous administration tore the heart out of the very entities which were contributing to TP (and doing other generally beneficial things), but the new administration does appear to be reversing this.  But OTF continues to be targeted in far right websites, and I fear that USG "soft-power" remains a very fragile thing.  It follows that TP should make it another priority to find more sustainable sources which are not as susceptible to vicious political interference.</p>
<p>Transparency regarding corporate sponsors is almost as important as divulging USG funding.  It seems that TP is not yet able to name all these sponsors?   Ideally the corporations would themselves post blogs at their own sites saying "We support Tor Project because...".  I am particularly curious to see how Avast would complete that sentence.</p>
<p>Last but not least, the fact that FBI backdoored the so-called Anom-phone (a commercial product which AFAIK never had any connections to Tor Project) is not FUD.  (See the excellent coverage in several stories by Joseph Cox in Motherboard at vice.com.)  It seems to me that this story deserves comment from Tor Project, not least because--- as privacy advocates were quick to point out when the story first broke--- this apparently successful FBI "sting operation" rather demolished several decades of official misstatements (well, lies) from generations of FBI Directors that FBI is "going dark" [sic]!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292359"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292359" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292359">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292359" class="permalink" rel="bookmark">I wrote a thoughtful reply…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I wrote a thoughtful reply but it has not appeared so I am trying again.</p>
<p>Regarding OTF and Tor:</p>
<p>From a previous post which appeared in this blog during the last few months of the Drump administration:</p>
<p>&gt; as part of its last-minute assault on "Deep State", the Drump admin has eviscerated the leadership of such US State Dpt tied "soft power" entities as OTF (Open Technology Fund), RFA (Radio Free Asia), from which Tor Project in the past obtained large grants.  IMO, TP needs to clarify how this affects USG grants to TP in the years ahead.</p>
<p>For those who do not know, the Biden administration was (good!) quick to fire the Drump appointees and appears to have signalled strong support for news content at RFA etc free of political interferrence from the White House (or DOJ or Pentagon...).  This is very good news, but going forward I think it should be clear to TP leadership that despite Biden's apparent good intentions toward USG "softpower" anti-censorship and truth-telling-as-good-policy, these entities remain highly vulnerable to political interferrence by future administrations.  I hope TP will work to seek "no strings" grants from entities which are less vulnerable to the rapidly shifting winds of political power in the USA.</p>
<p>See also a recent opinion piece in salon.com which lauds Biden's moves to undo the worst damage done by the Drump admin to USG, including reinstating OTF.  Techdirt points out that Biden has asked FCC to undo other Drump damage, but apparently forgot that he has not yet fully replaced the Drump appointees so that FCC cannot actually do what he is asking them to do.  Other recent editorials point out that Biden has been using the very "unitary executive" theory established by the most conservative SCOTUS justices to fire Drump appointees, and that the next administration is likely to fire all of Biden's appointees.  Further, Biden's appointees to lead the new USG cybersec regime are former NSA officials (Chris Ingalls, Anne Neuberger ) thus come from a spook culture which wants to keep cybersecurity weak in order to make it easier for NSA to spy on everyone living or dead.   Many many news stories show how things which everyone ought to agree upon, such as cybersecurity and freedom of information, have become terribly politicized in ways never before seen in the USA, even during the worst days of the Nixon admin.   These considerations imply, I think, that TP needs to think seriously about moving to Switzerland or Iceland and to avoid seeking USG monies in future.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292360"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292360" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="RatherBeInSwitzerland">RatherBeInSwit… (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292360">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292360" class="permalink" rel="bookmark">My previous attempt to post…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My previous attempt to post a comment did not succeed so I am trying again.</p>
<p>I think the most important two numbers are individual contribs (c. 0.9 million USD) and total revenue (c. 4.9 million USD), so that EFF is currently about 18% user supported.  That is good news and I hope TP will continue to make it a priority to try to increase that percentage to at least say 75%.</p>
<p>I see from other comments above that I am not the only user who is so sooo sooooo happy to see the demise of the "letter sponsors" of yore.  It is really good to see that TP is able to be more specific now about precisely which US State Dept tied entity has given TP a generous grant.  In past years, as I understood from Roger's comments, contractual obligations deriving from weird Cold War era requirements designed to signal that USG was trying to hide its connection to RFE ;-/ no doubt in deference to strenuous Stasi objects ;-/ forced TP to refer to "Sponsor F" and so forth.  In coming years, I hope TP will be able to post here the actual contract with any USG agencies.  I think this would do much to blunt a certain degree of (by not means entirely unjustified IMO) paranoia concerning possible hidden agendas of USG softpower, particularly from citizens of the former East Germany, such as outgoing Chancellor Merkel, who have good reasons to fear intelligence agencies--- not just the German but also American (and Russian and...)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292363"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292363" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Is-that-UFO-DARPA-or-CN?">Is-that-UFO-DA… (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292363">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292363" class="permalink" rel="bookmark">&gt; According to Charity…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; According to Charity Navigator, technology nonprofits for which program services make up more than 82.5% of their expenses receive the highest “financial health” score in their ranking system. This means that we’re meeting and significantly exceeding the “industry best” for tech nonprofits. We’re proud to show that our work is both efficient and effective.</p>
<p>Charity Navigator is really useful.  In years past ACLU (not to be confused with ACLU Foundation) has consistently been rated highly, but EFF fell a little short on the transparency front.  In past comments in this blog, I have urged TP to seek a dedicated review from Charity Navigator, which I believe involves convincing them that sufficiently many people use Tor that TP is review-worthy, which could be a problem since Tor users try to be hard to enumerate ;-/  I hope TP will try to work with Charity Navigator to resolve any problems they have giving TP an "official" rating.  I think you are right that if they did that, TP would receive a high score.  That might help a lot in recruiting more small user contribs, and might even help attract large "no strings" donations.</p>
<p>If someone like Soros offered money but wanted to remain anonymous, I would urge TP to argue for transparency.  Yes, I am well aware of the amazingly hateful and counterfactual conspiracy theories targeting Soros which come from so many far right websites, so that a contribution from Soros would lead to firestorm of hate speech (or worse) from the most deplorable elements of the US far-right, but those people hate everything we stand for anyway, so...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292364"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292364" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292364">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292364" class="permalink" rel="bookmark">&gt;     Project: Expanding…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;     Project: Expanding Research Frontiers with a Next-Generation Anonymous Communication Experimentation (ACE) Framework<br />
&gt;         Description: This ongoing project’s goal is to develop a scalable and mature deterministic network simulator, capable of quickly and accurately simulating large networks such as Tor. This project builds on the Shadow Simulator.</p>
<p>This is really important for the future of Tor (which needs to be scaled way waaay up), and obviously could be very useful for other NGOs and researchers if it turns out to work really well.</p>
<p>It is good that you provided the link.  I am the user who has over the years objected most strenuously to US military funding for Tor, but I also acknowledged (sometimes in comments which were not accepted) that I am not trying to demonize people simply because they have ties to the US military, e.g.</p>
<p><a href="https://www.robgjansen.com/National" rel="nofollow">https://www.robgjansen.com/National</a> Science Foundation + Georgetown University ($98,727)</p>
<p>For those who don't know, Georgetown U is also called "Foggy Bottom U" because of its US State Department ties.  This kind of tie is not neccessarily a bad thing, but context is always valuable.</p>
<p>Again, if it were possible to get permission to post the actual contract I think that would do much to quash objections.  In general, I think it best to admit up front that ultimately USG is likely funding ACE because sometimes "open" academic research comes up with something which is much better than what USIC single-source no-bid above-top-secret contractor has designed.  Linux kernel, Rjindael (AES), and many other open source things are probably examples of that.  There is no denying the fact that an open source network simulator which works really well at simulating large portions of the Internet would help the bad guys (all the worlds state-sponsored cyberattackers), but I think the proper response to that is "yes, but it helps the good guys just as much, so we can't deny it to the world just because it help's the bad guys".</p>
<p>Caveat: in reference to breaking AES, I would make the opposite argument, until the entire internet moves to a new well-tested cipher suite.</p>
<p>Erm... I see I have assumed that ACE is fully open source.  It is, isn't it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292365"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292365" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="TheFlyingTorpedo-is-Boeing-Insitu-drone-not-RU-hypersonic">TheFlyingTorpe… (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292365">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292365" class="permalink" rel="bookmark">My previous attempt to post…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My previous attempt to post a comment did not succeed so I am trying again.</p>
<p>I think the most important two numbers are individual contribs (c. 0.9 million USD) and total revenue (c. 4.9 million USD), so that EFF is currently about 18% user supported.  That is good news and I hope TP will continue to make it a priority to try to increase that percentage to at least say 75%.</p>
<p>I see from other comments above that I am not the only user who is so sooo sooooo happy to see the demise of the "letter sponsors" of yore.  It is really good to see that TP is able to be more specific now about precisely which US State Dept tied entity has given TP a generous grant.  In past years, as I understood from Roger's comments, contractual obligations deriving from weird Cold War era requirements designed to signal that USG was trying to hide its connection to RFE ;-/ no doubt in deference to strenuous Stasi objections ;-/ forced TP to refer to "Sponsor F" and so forth.  In coming years, I hope TP will be able to post here the actual contract with any USG agencies.  I think this would do much to blunt a certain degree of (by not means entirely unjustified IMO) paranoia concerning possible hidden agendas of USG softpower, particularly from citizens of the former East Germany, such as outgoing Chancellor Merkel, who have good reasons to fear intelligence agencies--- not just the German but also American (and Russian and...)</p>
<p>I just might be the only commentator here who has actually read the 2020 book by Yasha Levine, Surveillance Valley</p>
<p><a href="https://donkasprzak.com/surveillance-valley/" rel="nofollow">https://donkasprzak.com/surveillance-valley/</a></p>
<p>and IMO all Tor users should read this book.  It is far more balanced IMO than some might expect from the Pando furore which occurred in this blog years ago (some of the critical comments came from me, unfortunately -before- I had the chance to read Levine's book).  I would just add that if we omit to rant against Rob Jansen (say) simply because he teaches at a U.S. Military Academy, we should also omit to rant against Yasha Levine just because he is very suspicious of the NRL early involvement in Tor development.  It seems noteworthy that my willingness to give some people with US military or Russian ties the benefit of the doubt may derive from personal knowledge of some NRL and USNA employees, as well as some people who travel freely between the USA and countries whose governments are well known to spy very intensively on USG (and US based human rights groups).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292366"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292366" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292366">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292366" class="permalink" rel="bookmark">&gt; Project: Reliable…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Project: Reliable Anonymous Communication Evading Censors and Repressors (RACECAR)<br />
&gt;<br />
&gt;    Description: This ongoing project’s goal is to understand how to obfuscate communication in the presence of an adversary that controls the entire network,  by hiding all communications inside traffic generated by common applications.</p>
<p>It would be very helpful to post the actual contract and IMO you should urge DARPA to sign off on doing that.</p>
<p>[Moderators: please do not censor the following]</p>
<p>"Transparency" is a problematic term, because it has two very different meanings in the context of Tor: 1. disclosure of true sources of funding, project goals, technical details.  2. penetration of cybersecurity and privacy protections in order to eavesdrop on conversations, modify data, control or influence information, speech, opinions, financial transactions and associations.</p>
<p>DARPA is far and away the most worrisome source of TP funding.  RACECAR is on the face of it valuable, and it is plausible that portions of USG want to get open source academic research input on how to evade CN censorship in particular, in order to pursue soft power truth telling (good) and disinfo (yuk) targeting CN citizens.  The problem is of course that DARPA will share any behind the scenes information learned with USIC people who want to make sure they can spy freely on particular Tor users--- the problem here is that US intelligence operatives choose whom to attack and why, and there is good reason to think their targets are mostly very different from the "typical target" they prefer to the media to focus on: genuine international criminal cartels, child pronsters, human traffickers, or foreign government cyberwarriors.  USIC doesn't want anyone to talk about what everyone here knows: USIC targets many journalists, bloggers, readers, political dissidents, cybersecurity researchers, human rights groups, telecom engineers and scientists (just because of their profession), travelers (because of their destination not to any ill-intent towards USG) etc.  (We can also expect USIC to begin to be more aggressive in targeting tax-evaders and offshoring enablers, which would not be an entirely bad thing, and IMO this is the real reason why many wealthy Americans and some companies such as Apple will be screaming loudly a bout USG spying on un-indicted Americans.)</p>
<p>RACECAR is an odd term in context.  Racing cars are very loud and flashy.  Sponsors of race cars want the cars not only to be seen but to be impossible to ignore.  Tor users?  Not so much...</p>
<p>IMO there is no denying that DARPA exists to enable the US military to execute invasions, signature drone strikes, covert Special Forces operations including kidnappings and assassinations, cyberattacks on individuals and nations, and more.  This agenda is utterly contrary to the goals of the most endangered Tor users.  This is why TP should work to avoid any more funding from DARPA or other US military/intelligence entities, including companies such as Palantir.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292370"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292370" class="contextual-region comment js-comment unpublished by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Beware-Candiru (not verified)</span> said:</p>
      <p class="date-time">July 16, 2021</p>
    </div>
    <a href="#comment-292370">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292370" class="permalink" rel="bookmark">It is also worth comparing…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is also worth comparing TP budget (low millions) to NSA budget (tens of billions).  And our foes include not just the governments but the companies which sell malware to those governments!  Just look at the prices at this leaked solitication of the Israel-based cyberespionage-as-a-service company known as Candiru Ltd (and by many other names):</p>
<p><a href="https://www.themarker.com/embeds/pdf_upload/2020/20200902-161742.pdf" rel="nofollow">https://www.themarker.com/embeds/pdf_upload/2020/20200902-161742.pdf</a></p>
<p>1.5 million Euros to spy on just 15 targets in just one adversary nation, whee!</p>
<p>It is worth noting that some of the best information about Candiru, Cellebrite, NSO Group, and many lesser known Israeli cyber-surveillance-as-a-service companies can be found in news stories published by the fearless journalists working for an English language Israeli newspaper, Haaretz.  The companies are headquartered in Israel and boast of hiring former Unit 8200 hackers, but often operate from countries such as Peru (for Latin American targets) and Cyprus (for Middle Eastern targets).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292426"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292426" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Destroyinator69420 (not verified)</span> said:</p>
      <p class="date-time">July 21, 2021</p>
    </div>
    <a href="#comment-292426">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292426" class="permalink" rel="bookmark">With all that money, why not…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>With all that money, why not implement the hybrid verifiable shuffle for exit nodes and authentication encryption for relays mitigate attacks on the tor network. These attack mitigations are documented here: <a href="https://people.csail.mit.edu/devadas/pubs/riffle.pdf" rel="nofollow">https://people.csail.mit.edu/devadas/pubs/riffle.pdf</a> If you want to improve the Tor network speeds, why not allow human readable blockchain domain names and opt-in advertisements paid for with privacy coins. A commercial incentive to operate Tor nodes would attract more servers, thus making the network more resilient. Or, you could implement an instant messenger based on Bitmessage, implemented using v3 onion addresses.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
